{"models":[{"endpoint_id":"fal-ai/pixverse/v5.5/text-to-video","metadata":{"display_name":"PixVerse V5.5 Text To Video","category":"text-to-video","description":"Generate high quality video clips from text and image prompts using PixVerse v5.5","status":"active","tags":["text-to-video"],"updated_at":"2026-06-24T11:34:03.822Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f92cc/poyvEi1p-X7BvVUUq5ZdG_qMPjpi2n.png","model_url":"https://fal.run/fal-ai/pixverse/v5.5/text-to-video","license_type":"commercial","date":"2025-12-01T16:59:49.183Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v5.5/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v5.5/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v5.5/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f92cc/poyvEi1p-X7BvVUUq5ZdG_qMPjpi2n.png","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v5.5/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v5.5/text-to-video/api","about":"Text To Video V5 5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV55TextToVideoInput":{"title":"TextToVideoRequestV5_5","properties":{"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"prompt":{"description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["Epic low-cut camera capture of a girl clad in ultraviolet threads, Peter Max art style depiction, luminous diamond skin glistening under a vast moon's radiance, embodied in a superhuman flight among mystical ruins, symbolizing a deity's ritual ascent, hyper-detailed"]},"aspect_ratio":{"default":"16:9","title":"Aspect Ratio","enum":["16:9","4:3","1:1","3:4","9:16"],"type":"string","description":"The aspect ratio of the generated video"},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"duration":{"default":"5","title":"Duration","enum":["5","8","10"],"type":"string","description":"The duration of the generated video in seconds. Longer durations cost more. 1080p videos are limited to 5 or 8 seconds"},"generate_multi_clip_switch":{"default":false,"description":"Enable multi-clip generation with dynamic camera changes","title":"Generate Multi Clip Switch","type":"boolean"},"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"generate_audio_switch":{"default":false,"description":"Enable audio generation (BGM, SFX, dialogue)","title":"Generate Audio Switch","type":"boolean"},"thinking_type":{"title":"Thinking Type","anyOf":[{"enum":["enabled","disabled","auto"],"type":"string"},{"type":"null"}],"description":"Prompt optimization mode: 'enabled' to optimize, 'disabled' to turn off, 'auto' for model decision"},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p","1080p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt"],"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","negative_prompt","style","seed","generate_audio_switch","generate_multi_clip_switch","thinking_type"]},"PixverseV55TextToVideoOutput":{"title":"VideoOutputV5_5","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":5485412,"url":"https://storage.googleapis.com/falserverless/model_tests/video_models/output-4.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v5.5/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.5/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v5.5/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV55TextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.5/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV55TextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2-19b/distilled/text-to-video","metadata":{"display_name":"LTX-2 19B Distilled","category":"text-to-video","description":"Generate video with audio from text using LTX-2 Distilled","status":"active","tags":[],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8936f6/lAxk4cHPDAO8Vi-zFWrYF_79d59ee30f374e16a7d2a2a2daa87e71.jpg","model_url":"https://fal.run/fal-ai/ltx-2-19b/distilled/text-to-video","license_type":"commercial","date":"2026-01-05T20:55:11.318Z","group":{"key":"ltx-2-19b-distilled","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx2-video-trainer"],"inference_endpoint_ids":["fal-ai/ltx2-video-trainer"]},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2-19b/distilled/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2-19b/distilled/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2-19b/distilled/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8936f6/lAxk4cHPDAO8Vi-zFWrYF_79d59ee30f374e16a7d2a2a2daa87e71.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2-19b/distilled/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2-19b/distilled/text-to-video/api","about":"Generate a video from a text prompt using distilled LoRA."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx219bDistilledTextToVideoInput":{"required":["prompt"],"type":"object","title":"LTX2DistilledTextToVideoInput","properties":{"generate_audio":{"description":"Whether to generate audio for the video.","type":"boolean","title":"Generate Audio","default":true},"prompt":{"examples":["A cowboy walking through a dusty town at high noon, camera following from behind, cinematic depth, realistic lighting, western mood, 4K film grain."],"type":"string","title":"Prompt","description":"The prompt to generate the video from."},"num_frames":{"maximum":481,"description":"The number of frames to generate.","type":"integer","title":"Number of Frames","default":121,"minimum":9},"video_size":{"description":"The size of the generated video.","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"],"type":"string"}],"title":"Video Size","default":"landscape_4_3"},"video_write_mode":{"enum":["fast","balanced","small"],"type":"string","title":"Video Write Mode","default":"balanced","description":"The write mode of the generated video."},"camera_lora_scale":{"maximum":1,"description":"The scale of the camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","type":"number","title":"Camera LoRA Scale","default":1,"minimum":0},"video_output_type":{"enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"type":"string","title":"Video Output Type","default":"X264 (.mp4)","description":"The output type of the generated video."},"negative_prompt":{"type":"string","title":"Negative Prompt","default":"blurry, out of focus, overexposed, underexposed, low contrast, washed out colors, excessive noise, grainy texture, poor lighting, flickering, motion blur, distorted proportions, unnatural skin tones, deformed facial features, asymmetrical face, missing facial features, extra limbs, disfigured hands, wrong hand count, artifacts around text, inconsistent perspective, camera shake, incorrect depth of field, background too sharp, background clutter, distracting reflections, harsh shadows, inconsistent lighting direction, color banding, cartoonish rendering, 3D CGI look, unrealistic materials, uncanny valley effect, incorrect ethnicity, wrong gender, exaggerated expressions, wrong gaze direction, mismatched lip sync, silent or muted audio, distorted voice, robotic voice, echo, background noise, off-sync audio,incorrect dialogue, added dialogue, repetitive speech, jittery movement, awkward pauses, incorrect timing, unnatural transitions, inconsistent framing, tilted camera, flat lighting, inconsistent tone, cinematic oversaturation, stylized filters, or AI artifacts.","description":"The negative prompt to generate the video from."},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"The seed for the random number generator."},"fps":{"maximum":60,"description":"The frames per second of the generated video.","type":"number","title":"FPS","default":25,"minimum":1},"acceleration":{"enum":["none","regular","high","full"],"examples":["none"],"type":"string","title":"Acceleration","default":"none","description":"The acceleration level to use."},"use_multiscale":{"description":"Whether to use multi-scale generation. If True, the model will generate the video at a smaller scale first, then use the smaller video to guide the generation of a video at or above your requested size. This results in better coherence and details.","type":"boolean","title":"Use Multi-Scale","default":true},"enable_safety_checker":{"type":"boolean","title":"Enable Safety Checker","default":true,"description":"Whether to enable the safety checker."},"camera_lora":{"enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","none"],"examples":["none"],"type":"string","title":"Camera LoRA","default":"none","description":"The camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera."},"video_quality":{"enum":["low","medium","high","maximum"],"type":"string","title":"Video Quality","default":"high","description":"The quality of the generated video."},"sync_mode":{"type":"boolean","title":"Sync Mode","default":false,"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history."},"enable_prompt_expansion":{"type":"boolean","title":"Enable Prompt Expansion","default":true,"description":"Whether to enable prompt expansion."}},"x-fal-order-properties":["prompt","num_frames","video_size","generate_audio","use_multiscale","fps","acceleration","camera_lora","camera_lora_scale","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode"]},"Ltx219bDistilledTextToVideoOutput":{"required":["video","seed","prompt"],"type":"object","title":"LTX2TextToVideoOutput","properties":{"prompt":{"examples":["A cowboy walking through a dusty town at high noon, camera following from behind, cinematic depth, realistic lighting, western mood, 4K film grain."],"type":"string","title":"Prompt","description":"The prompt used for the generation."},"video":{"examples":[{"file_name":"sdm0KfmenrlywesfzY1Y1_if6euPp1.mp4","url":"https://v3b.fal.media/files/b/0a8824b1/sdm0KfmenrlywesfzY1Y1_if6euPp1.mp4","content_type":"video/mp4","num_frames":161,"duration":6.44,"fps":25,"width":1248,"height":704}],"$ref":"#/components/schemas/VideoFile","description":"The generated video."},"seed":{"examples":[149063119],"type":"integer","title":"Seed","description":"The seed used for the random number generator."}},"x-fal-order-properties":["video","seed","prompt"]},"ImageSize":{"type":"object","title":"ImageSize","properties":{"width":{"maximum":14142,"description":"The width of the generated image.","type":"integer","title":"Width","default":512,"exclusiveMinimum":0},"height":{"maximum":14142,"description":"The height of the generated image.","type":"integer","title":"Height","default":512,"exclusiveMinimum":0}},"x-fal-order-properties":["width","height"]},"VideoFile":{"required":["url"],"type":"object","title":"VideoFile","properties":{"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","description":"The mime type of the file."},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Num Frames","description":"The number of frames in the video"},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","description":"The size of the file in bytes."},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Duration","description":"The duration of the video"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width","description":"The width of the video"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Fps","description":"The FPS of the video"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height","description":"The height of the video"}},"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"]}}},"paths":{"/fal-ai/ltx-2-19b/distilled/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2-19b/distilled/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2-19b/distilled/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx219bDistilledTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2-19b/distilled/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx219bDistilledTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-22b/text-to-video","metadata":{"display_name":"LTX-2.3 22B","category":"text-to-video","description":"Generate video with audio from text using LTX-2.3","status":"active","tags":[],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9289be/SGtOOBIRqFPtmKPSmoNzE__tmp_avatar-v2.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3-22b/text-to-video","license_type":"commercial","date":"2026-03-14T01:49:44.949Z","group":{"key":"ltx-2.3-22b","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx23-video-trainer"]},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-22b/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-22b/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-22b/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9289be/SGtOOBIRqFPtmKPSmoNzE__tmp_avatar-v2.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/text-to-video/api","about":"Generate a video from a text prompt."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx2322bTextToVideoInput":{"x-fal-order-properties":["prompt","num_frames","video_size","generate_audio","use_multiscale","fps","num_inference_steps","video_cfg_scale","video_stg_scale","video_rescaling_scale","video_modality_scale","audio_cfg_scale","audio_stg_scale","audio_rescaling_scale","audio_modality_scale","gradient_estimation_gamma","use_restart_sampling","scheduler","acceleration","camera_lora","camera_lora_scale","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode","distill_lora_first_pass_scale","distill_lora_second_pass_scale"],"properties":{"enable_safety_checker":{"description":"Whether to enable the safety checker.","type":"boolean","title":"Enable Safety Checker","default":true},"audio_stg_scale":{"minimum":0,"description":"The Spatiotemporal Guidance (STG) scale for the audio. Higher values result in more consistent and focused audio content.","type":"number","title":"Audio STG Scale","maximum":20,"default":0},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed for the random number generator.","title":"Seed"},"prompt":{"examples":["A cowboy walking through a dusty town at high noon, camera following from behind, cinematic depth, realistic lighting, western mood, 4K film grain."],"description":"The prompt to generate the video from.","type":"string","title":"Prompt"},"video_quality":{"description":"The quality of the generated video.","type":"string","title":"Video Quality","enum":["low","medium","high","maximum"],"default":"high"},"negative_prompt":{"description":"The negative prompt to generate the video from.","type":"string","title":"Negative Prompt","default":"news broadcast, 3d animation, computer graphics, pc game, console game, video game, cartoon, childish, watermark, logo, text, on screen text, subtitles, titles, signature, slowmo, static"},"camera_lora_scale":{"minimum":0,"description":"The scale of the camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","type":"number","title":"Camera LoRA Scale","maximum":1,"default":1},"use_restart_sampling":{"description":"Whether to use restart sampling. This will inject a small amount of noise during each denoising step, which can help improve the quality of the generated video.","type":"boolean","title":"Use Restart Sampling","default":false},"use_multiscale":{"description":"Whether to use multi-scale generation. If True, the model will generate the video at a smaller scale first, then use the smaller video to guide the generation of a video at or above your requested size. This results in better coherence and details.","type":"boolean","title":"Use Multi-Scale","default":true},"video_modality_scale":{"minimum":0,"description":"The modality scale for the video. Controls the ratio between video and audio modalities.","type":"number","title":"Video Modality Scale","maximum":10,"default":3},"num_frames":{"minimum":9,"description":"The number of frames to generate.","type":"integer","title":"Number of Frames","maximum":481,"default":121},"acceleration":{"examples":["regular"],"description":"The acceleration level to use.","type":"string","title":"Acceleration","enum":["none","regular","high","full"],"default":"regular"},"video_stg_scale":{"minimum":0,"description":"The Spatiotemporal Guidance (STG) scale for the video. Higher values result in more consistent and focused video content.","type":"number","title":"Video STG Scale","maximum":20,"default":0},"video_size":{"anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"description":"The size of the generated video.","default":"landscape_16_9","title":"Video Size"},"camera_lora":{"examples":["none"],"description":"The camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","type":"string","title":"Camera LoRA","enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","none"],"default":"none"},"video_cfg_scale":{"minimum":1,"description":"The Classifier-Free Guidance (CFG) scale for the video. Higher values result in more consistent and focused video content.","type":"number","title":"Video CFG Scale","maximum":20,"default":3},"scheduler":{"examples":["ltx2"],"description":"The scheduler to use.","type":"string","title":"Scheduler","enum":["ltx2","linear_quadratic","beta"],"default":"ltx2"},"audio_modality_scale":{"minimum":0,"description":"The modality scale for the audio. Controls the ratio between video and audio modalities.","type":"number","title":"Audio Modality Scale","maximum":10,"default":3},"distill_lora_second_pass_scale":{"minimum":0,"description":"The scale of the distill LoRA to use for the second and subsequent passes.","type":"number","title":"Distill Lora Second Pass Scale","maximum":1,"default":0.5},"audio_rescaling_scale":{"minimum":0,"description":"The rescaling scale for the audio. Controls the ratio between classifier-free guidance and spatiotemporal guidance.","type":"number","title":"Audio Rescaling Scale","maximum":1,"default":0.7},"distill_lora_first_pass_scale":{"minimum":0,"description":"The scale of the distill LoRA to use for the first pass. Set to 0 to disable.","type":"number","title":"Distill Lora First Pass Scale","maximum":1,"default":0.2},"video_rescaling_scale":{"minimum":0,"description":"The rescaling scale for the video. Controls the ratio between classifier-free guidance and spatiotemporal guidance.","type":"number","title":"Video Rescaling Scale","maximum":1,"default":0.7},"fps":{"minimum":1,"description":"The frames per second of the generated video.","type":"number","title":"FPS","maximum":60,"default":24},"generate_audio":{"description":"Whether to generate audio for the video.","type":"boolean","title":"Generate Audio","default":true},"sync_mode":{"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","type":"boolean","title":"Sync Mode","default":false},"num_inference_steps":{"minimum":8,"description":"The number of inference steps to use.","type":"integer","title":"Number of Inference Steps","maximum":50,"default":40},"gradient_estimation_gamma":{"minimum":0,"description":"The gamma of gradient estimation during denoising. Set to 0 to disable.","type":"number","title":"Gradient Estimation Gamma","maximum":10,"default":2},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","type":"boolean","title":"Enable Prompt Expansion","default":true},"video_output_type":{"description":"The output type of the generated video.","type":"string","title":"Video Output Type","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"default":"X264 (.mp4)"},"audio_cfg_scale":{"minimum":1,"description":"The Classifier-Free Guidance (CFG) scale for the audio. Higher values result in more consistent and focused audio content.","type":"number","title":"Audio CFG Scale","maximum":20,"default":7},"video_write_mode":{"description":"The write mode of the generated video.","type":"string","title":"Video Write Mode","enum":["fast","balanced","small"],"default":"balanced"}},"type":"object","required":["prompt"],"title":"LTX23TextToVideoInput"},"Ltx2322bTextToVideoOutput":{"x-fal-order-properties":["video","seed","prompt"],"properties":{"prompt":{"examples":["A cowboy walking through a dusty town at high noon, camera following from behind, cinematic depth, realistic lighting, western mood, 4K film grain."],"description":"The prompt used for the generation.","type":"string","title":"Prompt"},"video":{"examples":[{"width":1248,"fps":25,"url":"https://v3b.fal.media/files/b/0a8824b1/sdm0KfmenrlywesfzY1Y1_if6euPp1.mp4","height":704,"file_name":"sdm0KfmenrlywesfzY1Y1_if6euPp1.mp4","content_type":"video/mp4","duration":6.44,"num_frames":161}],"$ref":"#/components/schemas/VideoFile","description":"The generated video."},"seed":{"examples":[149063119],"description":"The seed used for the random number generator.","type":"integer","title":"Seed"}},"type":"object","required":["video","seed","prompt"],"title":"LTX23TextToVideoOutput"},"ImageSize":{"x-fal-order-properties":["width","height"],"properties":{"width":{"exclusiveMinimum":0,"description":"The width of the generated image.","type":"integer","title":"Width","maximum":14142,"default":512},"height":{"exclusiveMinimum":0,"description":"The height of the generated image.","type":"integer","title":"Height","maximum":14142,"default":512}},"type":"object","title":"ImageSize"},"VideoFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video","title":"Width"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video","title":"Fps"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video","title":"Height"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video","title":"Duration"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video","title":"Num Frames"}},"type":"object","required":["url"],"title":"VideoFile"}}},"paths":{"/fal-ai/ltx-2.3-22b/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-22b/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/hunyuan-video-v1.5/text-to-video","metadata":{"display_name":"Hunyuan Video V1.5","category":"text-to-video","description":"Hunyuan Video 1.5 is Tencent's latest and best video model","status":"active","tags":["hunyuan-video","text-to-video"],"updated_at":"2026-04-21T17:48:26.406Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/panda/yRuXc12ZmJxhXiGcd_1jW_9ebc91f64d1a44b7995e66b3410547e9.jpg","model_url":"https://fal.run/fal-ai/hunyuan-video-v1.5/text-to-video","license_type":"commercial","date":"2025-11-21T12:19:44.185Z","highlighted":false,"kind":"inference","duration_estimate":3,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/hunyuan-video-v1.5/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/hunyuan-video-v1.5/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/hunyuan-video-v1.5/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/panda/yRuXc12ZmJxhXiGcd_1jW_9ebc91f64d1a44b7995e66b3410547e9.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/hunyuan-video-v1.5/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/hunyuan-video-v1.5/text-to-video/api","about":"Text To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"HunyuanVideoV15TextToVideoInput":{"x-fal-order-properties":["prompt","negative_prompt","num_inference_steps","seed","aspect_ratio","resolution","num_frames","enable_prompt_expansion"],"properties":{"aspect_ratio":{"description":"The aspect ratio of the video.","type":"string","title":"Aspect Ratio","enum":["16:9","9:16"],"default":"16:9"},"resolution":{"description":"The resolution of the video.","type":"string","title":"Resolution","const":"480p","default":"480p"},"num_inference_steps":{"minimum":1,"description":"The number of inference steps.","type":"integer","title":"Num Inference Steps","maximum":50,"default":28},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility.","title":"Seed"},"prompt":{"examples":["A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage."],"description":"The prompt to generate the video.","type":"string","title":"Prompt"},"negative_prompt":{"description":"The negative prompt to guide what not to generate.","type":"string","title":"Negative Prompt","default":""},"enable_prompt_expansion":{"description":"Enable prompt expansion to enhance the input prompt.","type":"boolean","title":"Enable Prompt Expansion","default":true},"num_frames":{"minimum":1,"description":"The number of frames to generate.","type":"integer","title":"Num Frames","maximum":121,"default":121}},"type":"object","title":"HunyuanVideo15T2VRequest","required":["prompt"]},"HunyuanVideoV15TextToVideoOutput":{"x-fal-order-properties":["video","seed"],"properties":{"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/hyvideo_v15_480p_output.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video file."},"seed":{"description":"The seed used for generation.","type":"integer","title":"Seed"}},"type":"object","title":"HunyuanVideo15Response","required":["video","seed"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"}},"type":"object","title":"File","required":["url"]}}},"paths":{"/fal-ai/hunyuan-video-v1.5/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/hunyuan-video-v1.5/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/hunyuan-video-v1.5/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HunyuanVideoV15TextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/hunyuan-video-v1.5/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HunyuanVideoV15TextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltxv-13b-098-distilled","metadata":{"display_name":"LTX-Video 13B 0.9.8 Distilled","category":"text-to-video","description":"Generate long videos from prompts using LTX Video-0.9.8 13B Distilled and custom LoRA","status":"active","tags":["video","ltx-video","text-to-video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Training-4.jpg","model_url":"https://fal.run/fal-ai/ltxv-13b-098-distilled","license_type":"commercial","date":"2025-07-17T03:01:15.578Z","group":{"key":"ltx-video-13b-098","label":"Text to Video"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltxv-13b-098-distilled","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltxv-13b-098-distilled queue.","x-fal-metadata":{"endpointId":"fal-ai/ltxv-13b-098-distilled","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Training-4.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltxv-13b-098-distilled","documentationUrl":"https://fal.ai/models/fal-ai/ltxv-13b-098-distilled/api","about":"Generate a video from a prompt."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltxv13b098DistilledInput":{"x-fal-order-properties":["prompt","negative_prompt","loras","resolution","aspect_ratio","seed","num_frames","first_pass_num_inference_steps","second_pass_num_inference_steps","second_pass_skip_initial_steps","frame_rate","expand_prompt","reverse_video","enable_safety_checker","enable_detail_pass","temporal_adain_factor","tone_map_compression_ratio"],"description":"Distilled model input","type":"object","required":["prompt"],"properties":{"enable_safety_checker":{"examples":[true],"description":"Whether to enable the safety checker. Disabling it requires account authorization; unauthorized requests are always checked.","default":true,"title":"Enable Safety Checker","type":"boolean"},"aspect_ratio":{"examples":["16:9"],"description":"Aspect ratio of the generated video.","type":"string","enum":["9:16","1:1","16:9"],"default":"16:9","title":"Aspect Ratio"},"enable_detail_pass":{"examples":[false],"description":"Whether to use a detail pass. If True, the model will perform a second pass to refine the video and enhance details. This incurs a 2.0x cost multiplier on the base price.","default":false,"title":"Enable Detail Pass","type":"boolean"},"first_pass_num_inference_steps":{"minimum":2,"examples":[8],"description":"Number of inference steps during the first pass.","default":8,"title":"Number of Inference Steps","maximum":12,"type":"integer"},"resolution":{"examples":["720p"],"description":"Resolution of the generated video.","type":"string","enum":["480p","720p"],"default":"720p","title":"Resolution"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for generation","title":"Seed"},"prompt":{"examples":["A cinematic fast-tracking shot follows a vintage, teal camper van as it descends a winding mountain trail. The van, slightly weathered but well-maintained, is the central focus, its retro design emphasized by the motion blur. Medium shot reveals the dusty, ochre trail, edged with vibrant green pine trees. Close-up on the van's tires shows the gravel spraying, highlighting the speed and rugged terrain. Sunlight filters through the trees, casting dappled shadows on the van and the trail. The background is a hazy, majestic mountain range bathed in warm, golden light. The overall mood is adventurous and exhilarating. High resolution 4k movie scene."],"description":"Text prompt to guide generation","type":"string","title":"Prompt"},"second_pass_num_inference_steps":{"minimum":2,"examples":[8],"description":"Number of inference steps during the second pass.","default":8,"title":"Second Pass Number of Inference Steps","maximum":12,"type":"integer"},"second_pass_skip_initial_steps":{"minimum":1,"examples":[5],"description":"The number of inference steps to skip in the initial steps of the second pass. By skipping some steps at the beginning, the second pass can focus on smaller details instead of larger changes.","default":5,"title":"Second Pass Skip Initial Steps","maximum":11,"type":"integer"},"negative_prompt":{"description":"Negative prompt for generation","default":"worst quality, inconsistent motion, blurry, jittery, distorted","title":"Negative Prompt","type":"string"},"num_frames":{"minimum":9,"examples":[121],"description":"The number of frames in the video.","default":121,"title":"Number of Frames","maximum":1441,"type":"integer"},"reverse_video":{"examples":[false],"description":"Whether to reverse the video.","default":false,"title":"Reverse Video","type":"boolean"},"loras":{"description":"LoRA weights to use for generation","default":[],"title":"Loras","items":{"$ref":"#/components/schemas/LoRAWeight"},"type":"array"},"frame_rate":{"minimum":1,"examples":[24],"description":"The frame rate of the video.","default":24,"title":"Frame Rate","maximum":60,"type":"integer"},"tone_map_compression_ratio":{"examples":[0],"type":"number","title":"Tone Map Compression Ratio","maximum":1,"minimum":0,"description":"The compression ratio for tone mapping. This is used to compress the dynamic range of the video to improve visual quality. A value of 0.0 means no compression, while a value of 1.0 means maximum compression.","default":0,"multipleOf":0.05},"expand_prompt":{"examples":[false],"description":"Whether to expand the prompt using a language model.","default":false,"title":"Expand Prompt","type":"boolean"},"temporal_adain_factor":{"examples":[0.5],"type":"number","title":"Temporal AdaIN Factor","maximum":1,"minimum":0,"description":"The factor for adaptive instance normalization (AdaIN) applied to generated video chunks after the first. This can help deal with a gradual increase in saturation/contrast in the generated video by normalizing the color distribution across the video. A high value will ensure the color distribution is more consistent across the video, while a low value will allow for more variation in color distribution.","default":0.5,"multipleOf":0.05}},"title":"DistilledTextToVideoInput"},"Ltxv13b098DistilledOutput":{"x-fal-order-properties":["video","prompt","seed"],"properties":{"prompt":{"examples":["A cinematic fast-tracking shot follows a vintage, teal camper van as it descends a winding mountain trail. The van, slightly weathered but well-maintained, is the central focus, its retro design emphasized by the motion blur. Medium shot reveals the dusty, ochre trail, edged with vibrant green pine trees. Close-up on the van's tires shows the gravel spraying, highlighting the speed and rugged terrain. Sunlight filters through the trees, casting dappled shadows on the van and the trail. The background is a hazy, majestic mountain range bathed in warm, golden light. The overall mood is adventurous and exhilarating. High resolution 4k movie scene."],"description":"The prompt used for generation.","type":"string","title":"Prompt"},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/ltxv-multiscale-text-to-video.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video file."},"seed":{"description":"The seed used for generation.","type":"integer","title":"Seed"}},"type":"object","required":["video","prompt","seed"],"title":"TextToVideoOutput"},"LoRAWeight":{"x-fal-order-properties":["path","weight_name","scale"],"properties":{"scale":{"minimum":0,"description":"Scale of the LoRA weight. This is a multiplier applied to the LoRA weight when loading it.","default":1,"title":"Scale","maximum":4,"type":"number"},"path":{"description":"URL or path to the LoRA weights.","type":"string","title":"Path"},"weight_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Name of the LoRA weight. Only used if `path` is a HuggingFace repository, and is only required when the repository contains multiple LoRA weights.","title":"Weight Name"}},"type":"object","required":["path"],"title":"LoRAWeight"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"}},"type":"object","required":["url"],"title":"File"}}},"paths":{"/fal-ai/ltxv-13b-098-distilled/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltxv-13b-098-distilled/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltxv-13b-098-distilled":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltxv13b098DistilledInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltxv-13b-098-distilled/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltxv13b098DistilledOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"veed/avatars/text-to-video","metadata":{"display_name":"Avatars","category":"text-to-video","description":"Generate high-quality videos with UGC-like avatars from text","status":"active","tags":["lipsync","text-to-video"],"updated_at":"2026-01-26T21:43:38.259Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/veed_logo.webp","model_url":"https://fal.run/veed/avatars/text-to-video","license_type":"commercial","date":"2025-05-28T14:20:10.759Z","group":{"key":"veed-avatars-1","label":"Text To Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for veed/avatars/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the veed/avatars/text-to-video queue.","x-fal-metadata":{"endpointId":"veed/avatars/text-to-video","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/veed_logo.webp","playgroundUrl":"https://fal.ai/models/veed/avatars/text-to-video","documentationUrl":"https://fal.ai/models/veed/avatars/text-to-video/api","about":"Text To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"AvatarsTextToVideoInput":{"title":"Text2VideoInput","type":"object","properties":{"text":{"examples":["\nEver wondered how to get that flawless glow? \nIntroducing our new skincare line, designed for real life. \nStep one: Cleanse with our gentle, nourishing formula. \nStep two: Apply our hydrating serum for that dewy look. \nStep three: Lock it in with our lightweight moisturizer. \nFeel the difference with every application. \nSee the glow? That's the magic of our skincare. \nUse code 'GLOW20' for an exclusive discount. \nJoin the skincare revolution today!\n"],"title":"Text","type":"string"},"avatar_id":{"enum":["emily_vertical_primary","emily_vertical_secondary","marcus_vertical_primary","marcus_vertical_secondary","mira_vertical_primary","mira_vertical_secondary","jasmine_vertical_primary","jasmine_vertical_secondary","jasmine_vertical_walking","aisha_vertical_walking","elena_vertical_primary","elena_vertical_secondary","any_male_vertical_primary","any_female_vertical_primary","any_male_vertical_secondary","any_female_vertical_secondary","any_female_vertical_walking","emily_primary","emily_side","marcus_primary","marcus_side","aisha_walking","elena_primary","elena_side","any_male_primary","any_female_primary","any_male_side","any_female_side"],"description":"The avatar to use for the video","type":"string","title":"Avatar Id"}},"x-fal-order-properties":["avatar_id","text"],"required":["avatar_id","text"]},"AvatarsTextToVideoOutput":{"title":"AvatarsAppOutput","type":"object","properties":{"video":{"examples":[{"content_type":"video/mp4","url":"https://v3.fal.media/files/panda/kt9d4vZ8Mfw_WzYnvr2Q0_tmp0ir4znsr.mp4"}],"$ref":"#/components/schemas/File"}},"x-fal-order-properties":["video"],"required":["video"]},"File":{"title":"File","type":"object","properties":{"file_size":{"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","anyOf":[{"type":"string"},{"type":"null"}]},"content_type":{"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"]}}},"paths":{"/veed/avatars/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/veed/avatars/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/veed/avatars/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvatarsTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/veed/avatars/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvatarsTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"veed/fabric-1.0/text","metadata":{"display_name":"Fabric 1.0","category":"text-to-video","description":"VEED Fabric 1.0 text-to-video API","status":"active","tags":["lipsync","avatar","text-to-video"],"updated_at":"2026-04-23T16:51:02.559Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a860513/IhQfhGTiM994lkg1kPlOX_4836a8df5844488399dc1205ef3cc083.jpg","model_url":"https://fal.run/veed/fabric-1.0/text","license_type":"commercial","date":"2025-12-12T15:22:12.764Z","group":{"key":"fabric-1.0","label":"Text To Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for veed/fabric-1.0/text","version":"1.0.0","description":"The OpenAPI schema for the veed/fabric-1.0/text queue.","x-fal-metadata":{"endpointId":"veed/fabric-1.0/text","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a860513/IhQfhGTiM994lkg1kPlOX_4836a8df5844488399dc1205ef3cc083.jpg","playgroundUrl":"https://fal.ai/models/veed/fabric-1.0/text","documentationUrl":"https://fal.ai/models/veed/fabric-1.0/text/api","about":"Text"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Fabric10TextInput":{"required":["image_url","text","resolution"],"title":"FabricOneTextInput","x-fal-order-properties":["image_url","text","voice_description","resolution"],"type":"object","properties":{"resolution":{"enum":["720p","480p"],"title":"Resolution","type":"string","description":"Resolution"},"text":{"minLength":1,"title":"Text","maxLength":2000,"type":"string","examples":["Create talking videos with VEED Fabric-One API."]},"image_url":{"minLength":1,"format":"uri","title":"Image Url","maxLength":2083,"type":"string","examples":["https://v3.fal.media/files/koala/NLVPfOI4XL1cWT2PmmqT3_Hope.png"]},"voice_description":{"title":"Voice Description","anyOf":[{"type":"string"},{"type":"null"}],"description":"Optional additional voice description. The primary voice description is auto-generated from the image. You can use simple descriptors like 'British accent' or 'Confident' or provide a detailed description like 'Confident male voice, mid-20s, with notes of...'"}}},"Fabric10TextOutput":{"required":["video"],"title":"FabricOneTextOutput","x-fal-order-properties":["video"],"type":"object","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"audio/mp4","url":"https://v3b.fal.media/files/b/0a8604be/zVkoAB4hTa8g6Fyl6V733_tmpy1fslwp2.mp4"}]}}},"File":{"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","properties":{"file_size":{"description":"The size of the file in bytes.","title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019]},"content_type":{"description":"The mime type of the file.","title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."}}}}},"paths":{"/veed/fabric-1.0/text/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/veed/fabric-1.0/text/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/veed/fabric-1.0/text":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fabric10TextInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/veed/fabric-1.0/text/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fabric10TextOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-quality/text-to-video","metadata":{"display_name":"Ltx 2.3 Quality","category":"text-to-video","description":"Generate high-quality video with audio from text using LTX-2.3","status":"active","tags":["text-to-video","video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9c9702/fmggLmMmNhdfHCd7l0GpE_QYCC91lB.png","model_url":"https://fal.run/fal-ai/ltx-2.3-quality/text-to-video","license_type":"commercial","date":"2026-06-01T20:24:08.222Z","group":{"key":"ltx-2.3-quality","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx23-video-trainer"]},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-quality/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-quality/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-quality/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9c9702/fmggLmMmNhdfHCd7l0GpE_QYCC91lB.png","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/text-to-video/api","about":"Generate a video from a text prompt (single-stage distilled).\n\nBacked by `LTX-2.3_T2V_I2V_Single_Stage_Distilled_Full.json`."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx23QualityTextToVideoInput":{"description":"Text-to-video generation using LTX-2.3, at up to 1920x1080.","properties":{"frames_per_second":{"description":"Frames per second of the generated video.","minimum":1,"type":"number","maximum":60,"default":24,"title":"FPS"},"negative_prompt":{"description":"The negative prompt to steer generation away from.","type":"string","default":"color distortion, overexposure, static, blurry details, subtitles, style, artwork, painting, frame, still, dim overall tone, worst quality, low quality, JPEG compression artifacts, ugly, mutilated, extra fingers, poorly drawn hands, poorly drawn face, deformed, disfigured, malformed limbs, fused fingers, motionless frame, cluttered background, three legs, crowded background, walking backwards","title":"Negative Prompt"},"num_frames":{"description":"The number of frames to generate.","type":"integer","maximum":481,"minimum":9,"default":121,"title":"Number of Frames"},"video_quality":{"description":"The quality preset of the generated video.","enum":["low","medium","high","maximum"],"type":"string","default":"high","title":"Video Quality"},"seed":{"description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed"},"video_write_mode":{"description":"The write mode of the generated video.","enum":["fast","balanced","small"],"type":"string","default":"balanced","title":"Video Write Mode"},"generate_audio":{"description":"Whether to include audio in the returned video. When disabled, the final MP4 is returned without an audio track.","type":"boolean","default":true,"title":"Generate Audio"},"num_inference_steps":{"description":"Number of inference steps. Defaults to 15 and can be increased up to 30.","minimum":8,"type":"integer","maximum":30,"default":15,"title":"Number of Inference Steps"},"resolution":{"description":"The size of the generated video.","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"default":"landscape_16_9","title":"Resolution"},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","type":"boolean","default":true,"title":"Enable Prompt Expansion"},"guidance_scale":{"description":"Classifier-free guidance scale. The default is tuned for fast, high-quality generation.","minimum":1,"type":"number","maximum":20,"default":1,"title":"Guidance Scale"},"enable_safety_checker":{"description":"Whether to enable the safety checker.","type":"boolean","default":true,"title":"Enable Safety Checker"},"sync_mode":{"description":"If True, the media is returned as a data URI inline in the response. Useful for short-lived requests and tests.","type":"boolean","default":false,"title":"Sync Mode"},"prompt":{"description":"The prompt to generate the video from.","examples":["A cowboy walking through a dusty town at high noon, camera following from behind, cinematic depth, realistic lighting, western mood, 4K film grain."],"type":"string","title":"Prompt"}},"type":"object","required":["prompt"],"x-fal-order-properties":["prompt","num_frames","resolution","frames_per_second","num_inference_steps","guidance_scale","generate_audio","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_quality","video_write_mode","sync_mode"],"title":"LTX23QualityTextToVideoInput"},"Ltx23QualityTextToVideoOutput":{"description":"Standard output for every endpoint on this app.","properties":{"video":{"description":"The generated video.","$ref":"#/components/schemas/File"},"seed":{"description":"The seed actually used for generation.","type":"integer","title":"Seed"},"prompt":{"description":"The prompt used for generation (after any expansion).","type":"string","title":"Prompt"}},"type":"object","required":["video","seed","prompt"],"x-fal-order-properties":["video","seed","prompt"],"title":"LTX23QualityOutput"},"ImageSize":{"properties":{"width":{"description":"The width of the generated image.","type":"integer","maximum":14142,"exclusiveMinimum":0,"default":512,"title":"Width"},"height":{"description":"The height of the generated image.","type":"integer","maximum":14142,"exclusiveMinimum":0,"default":512,"title":"Height"}},"type":"object","x-fal-order-properties":["width","height"],"title":"ImageSize"},"File":{"properties":{"content_type":{"description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"},"file_size":{"description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size"},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"}},"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File"}}},"paths":{"/fal-ai/ltx-2.3-quality/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-quality/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/longcat-video/distilled/text-to-video/720p","metadata":{"display_name":"LongCat Video Distilled","category":"text-to-video","description":"Generate long videos in 720p/30fps from text using LongCat Video Distilled","status":"active","tags":[],"updated_at":"2026-01-26T21:42:29.849Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/rabbit/Xh3L9IfiYFQpDx1WpQH8T_e0057041856c45b1ab31a267f8132455.jpg","model_url":"https://fal.run/fal-ai/longcat-video/distilled/text-to-video/720p","license_type":"commercial","date":"2025-10-30T14:41:43.380Z","group":{"key":"longcat-distilled","label":"Text to Video (720p)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/longcat-video/distilled/text-to-video/720p","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/longcat-video/distilled/text-to-video/720p queue.","x-fal-metadata":{"endpointId":"fal-ai/longcat-video/distilled/text-to-video/720p","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/rabbit/Xh3L9IfiYFQpDx1WpQH8T_e0057041856c45b1ab31a267f8132455.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/longcat-video/distilled/text-to-video/720p","documentationUrl":"https://fal.ai/models/fal-ai/longcat-video/distilled/text-to-video/720p/api","about":"Generate a video from a text prompt."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LongcatVideoDistilledTextToVideo720pInput":{"required":["prompt"],"type":"object","x-fal-order-properties":["prompt","num_frames","num_inference_steps","num_refine_inference_steps","aspect_ratio","fps","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode"],"title":"LongCat720PVideoRequest","properties":{"seed":{"description":"The seed for the random number generator.","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]},"num_refine_inference_steps":{"minimum":2,"description":"The number of inference steps to use for refinement.","title":"Number of Refinement Inference Steps","type":"integer","maximum":16,"default":12},"sync_mode":{"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","title":"Sync Mode","type":"boolean","default":false},"video_write_mode":{"description":"The write mode of the generated video.","title":"Video Write Mode","type":"string","default":"balanced","enum":["fast","balanced","small"]},"prompt":{"description":"The prompt to guide the video generation.","type":"string","examples":["realistic filming style, a person wearing a dark helmet, a deep-colored jacket, blue jeans, and bright yellow shoes rides a skateboard along a winding mountain road. The skateboarder starts in a standing position, then gradually lowers into a crouch, extending one hand to touch the road surface while maintaining a low center of gravity to navigate a sharp curve. After completing the turn, the skateboarder rises back to a standing position and continues gliding forward. The background features lush green hills flanking both sides of the road, with distant snow-capped mountain peaks rising against a clear, bright blue sky. The camera follows closely from behind, smoothly tracking the skateboarder’s movements and capturing the dynamic scenery along the route. The scene is shot in natural daylight, highlighting the vivid outdoor environment and the skateboarder’s fluid actions."],"title":"Prompt"},"num_inference_steps":{"minimum":2,"description":"The number of inference steps to use.","title":"Number of Inference Steps","type":"integer","maximum":16,"default":12},"video_output_type":{"description":"The output type of the generated video.","title":"Video Output Type","type":"string","default":"X264 (.mp4)","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"]},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","title":"Enable Prompt Expansion","type":"boolean","default":false},"num_frames":{"minimum":17,"description":"The number of frames to generate.","title":"Number of Frames","type":"integer","maximum":961,"default":162},"fps":{"minimum":1,"description":"The frame rate of the generated video.","title":"FPS","type":"integer","maximum":60,"default":30},"enable_safety_checker":{"description":"Whether to enable safety checker. Disabling it requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","type":"boolean","default":true},"video_quality":{"description":"The quality of the generated video.","title":"Video Quality","type":"string","default":"high","enum":["low","medium","high","maximum"]},"aspect_ratio":{"description":"The aspect ratio of the generated video.","title":"Aspect Ratio","type":"string","default":"16:9","enum":["16:9","9:16","1:1"]}}},"LongcatVideoDistilledTextToVideo720pOutput":{"required":["prompt","seed","video"],"type":"object","x-fal-order-properties":["prompt","seed","video"],"title":"LongCatVideoResponse","properties":{"seed":{"description":"The seed used for generation.","type":"integer","examples":[424911732],"title":"Seed"},"video":{"description":"The generated video file.","$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","url":"https://v3b.fal.media/files/b/zebra/lXFrGA-egaUXWFGSp8GqT_BxoDEqUZ.mp4"}]},"prompt":{"description":"The prompt used for generation.","type":"string","examples":["realistic filming style, a person wearing a dark helmet, a deep-colored jacket, blue jeans, and bright yellow shoes rides a skateboard along a winding mountain road. The skateboarder starts in a standing position, then gradually lowers into a crouch, extending one hand to touch the road surface while maintaining a low center of gravity to navigate a sharp curve. After completing the turn, the skateboarder rises back to a standing position and continues gliding forward. The background features lush green hills flanking both sides of the road, with distant snow-capped mountain peaks rising against a clear, bright blue sky. The camera follows closely from behind, smoothly tracking the skateboarder’s movements and capturing the dynamic scenery along the route. The scene is shot in natural daylight, highlighting the vivid outdoor environment and the skateboarder’s fluid actions."],"title":"Prompt"}}},"File":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]}}}}},"paths":{"/fal-ai/longcat-video/distilled/text-to-video/720p/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/longcat-video/distilled/text-to-video/720p/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/longcat-video/distilled/text-to-video/720p":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LongcatVideoDistilledTextToVideo720pInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/longcat-video/distilled/text-to-video/720p/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LongcatVideoDistilledTextToVideo720pOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ovi","metadata":{"display_name":"Ovi Text to Video","category":"text-to-video","description":"A unified paradigm for audio-video generation","status":"active","tags":[],"updated_at":"2026-04-21T17:52:37.338Z","is_favorited":null,"thumbnail_url":"https://v3.fal.media/files/lion/yU9aRgq2QMYK4eGH5mohA_2822a9b5892d46699e218791b207ae5c.jpg","model_url":"https://fal.run/fal-ai/ovi","license_type":"commercial","date":"2025-10-03T12:43:15.945Z","group":{"key":"ovi","label":"Text to video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ovi","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ovi queue.","x-fal-metadata":{"endpointId":"fal-ai/ovi","category":"text-to-video","thumbnailUrl":"https://v3.fal.media/files/lion/yU9aRgq2QMYK4eGH5mohA_2822a9b5892d46699e218791b207ae5c.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ovi","documentationUrl":"https://fal.ai/models/fal-ai/ovi/api","about":"Generate a video based on the provided request parameters."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"OviInput":{"required":["prompt"],"type":"object","title":"OviT2VRequest","x-fal-order-properties":["prompt","negative_prompt","num_inference_steps","audio_negative_prompt","seed","resolution"],"properties":{"num_inference_steps":{"maximum":50,"minimum":1,"default":30,"title":"Num Inference Steps","type":"integer","description":"The number of inference steps."},"audio_negative_prompt":{"type":"string","default":"robotic, muffled, echo, distorted","title":"Audio Negative Prompt","description":"Negative prompt for audio generation."},"resolution":{"type":"string","default":"992x512","title":"Resolution","enum":["512x992","992x512","960x512","512x960","720x720","448x1120","1120x448"],"description":"Resolution of the generated video in W:H format. One of (512x992, 992x512, 960x512, 512x960, 720x720, or 448x1120)."},"negative_prompt":{"type":"string","default":"jitter, bad hands, blur, distortion","title":"Negative Prompt","description":"Negative prompt for video generation."},"prompt":{"examples":["A close-up of someone's face as they pet a cat, their hands stroking the soft fur in the foreground. Their affectionate expression shows as the cat purrs contentedly in their lap. They say, <S>This little guy has been with me for eight years now. He knows exactly when I need comfort. Animals are pretty amazing that way.<E>.<AUDCAP>Affectionate voice with cat purring and gentle petting sounds<ENDAUDCAP>"],"type":"string","title":"Prompt","description":"The text prompt to guide video generation."},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen."}}},"OviOutput":{"required":["seed"],"type":"object","title":"OviT2VResponse","x-fal-order-properties":["video","seed"],"properties":{"seed":{"type":"integer","title":"Seed","description":"The seed used for generation."},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_inputs/ovi_t2v_output.mp4"}],"anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}],"description":"The generated video file."}}},"File":{"required":["url"],"type":"object","title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."}}}}},"paths":{"/fal-ai/ovi/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ovi/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ovi":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OviInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ovi/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OviOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"OQ","has_more":true}
